MidiEvent (Java SE 23 & JDK 23)
Description: declaration: module: java.desktop, package: javax.sound.midi, class: MidiEvent
Keywords: javax.sound.midi.MidiEvent class

# Class MidiEvent

java.lang.Object
javax.sound.midi.MidiEvent

public class MidiEvent extends Object
MIDI events contain a MIDI message and a corresponding time-stamp expressed in ticks, and can represent the MIDI event information stored in a MIDI file or a `Sequence` object. The duration of a tick is specified by the timing information contained in the MIDI file or `Sequence` object.

In Java Sound, `MidiEvent` objects are typically contained in a `Track`, and `Tracks` are likewise contained in a `Sequence`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MidiEvent(MidiMessage message, long tick)`
  Constructs a new `MidiEvent`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MidiMessage`
  `getMessage()`
  Obtains the MIDI message contained in the event.
  `long`
  `getTick()`
  Obtains the time-stamp for the event, in MIDI ticks.
  `void`
  `setTick(long tick)`
  Sets the time-stamp for the event, in MIDI ticks.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MidiEvent

    public MidiEvent(MidiMessage message, long tick)
    Constructs a new `MidiEvent`.
    Parameters:
      `message` - the MIDI message contained in the event
      `tick` - the time-stamp for the event, in MIDI ticks

- ## Method Details

  - ### getMessage

    public MidiMessage getMessage()
    Obtains the MIDI message contained in the event.
    Returns:
      the MIDI message

  - ### setTick

    public void setTick(long tick)
    Sets the time-stamp for the event, in MIDI ticks.
    Parameters:
      `tick` - the new time-stamp, in MIDI ticks

  - ### getTick

    public long getTick()
    Obtains the time-stamp for the event, in MIDI ticks.
    Returns:
      the time-stamp for the event, in MIDI ticks